# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(AnyEvent/Loop.pm) perl(AnyEvent/WebSocket/Client.pm) perl(B.pm) perl(Carp.pm) perl(Data/Dumper.pm) perl(Data/Result.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/MultiGet.pm) perl(HTTP/Request.pm) perl(HTTP/Request/Common.pm) perl(IO/Scalar.pm) perl(IO/Socket/SSL.pm) perl(JSON.pm) perl(LWP/UserAgent.pm) perl(Log/Dispatch/Handle.pm) perl(Log/Log4perl.pm) perl(Log/LogMethods.pm) perl(Modern/Perl.pm) perl(Moo.pm) perl(MooX/Types/MooseLike/Base.pm) perl(Ref/Util.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(URI/Escape.pm) perl(UUID/Tiny.pm) perl(namespace/clean.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define module_name AnyEvent-SparkBot
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.010
Release: alt1
Summary: Cisco Spark WebSocket Client for the AnyEvent Loop
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AK/AKALINUX/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Connects to cisco spark via a websocket.  By itself this class only provides connectivty to Spark, the on_message callback is used to handle events that come in.  By default No hanlder is provided.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md
%perl_vendor_privlib/A*

%changelog
* Fri Feb 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.010-alt1
- initial import by package builder

